/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.ryJzrk.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.modules.rhzf.fwInfo.vo.SyjzryVO;
import org.springblade.modules.rhzf.ryJzrk.entity.RyJzrkEntity;
import org.springblade.modules.rhzf.ryJzrk.vo.RyJzrkVO;
import org.springblade.modules.rhzf.ryJzrk.excel.RyJzrkExcel;
import org.springblade.modules.rhzf.ryJzrk.mapper.RyJzrkMapper;
import org.springblade.modules.rhzf.ryJzrk.service.IRyJzrkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 入户走访_人员_寄住人口 服务实现类
 *
 * @author BladeX
 * @since 2023-11-14
 */
@Service
public class RyJzrkServiceImpl extends BaseServiceImpl<RyJzrkMapper, RyJzrkEntity> implements IRyJzrkService {

	@Autowired
	private RyJzrkJlServiceImpl ryJzrkJlService;

	@Override
	public IPage<RyJzrkVO> selectRyJzrkPage(IPage<RyJzrkVO> page, RyJzrkVO ryJzrk) {
		return page.setRecords(baseMapper.selectRyJzrkPage(page, ryJzrk));
	}


	@Override
	public List<RyJzrkExcel> exportRyJzrk(Wrapper<RyJzrkEntity> queryWrapper) {
		List<RyJzrkExcel> ryJzrkList = baseMapper.exportRyJzrk(queryWrapper);
		//ryJzrkList.forEach(ryJzrk -> {
		//	ryJzrk.setTypeName(DictCache.getValue(DictEnum.YES_NO, RyJzrk.getType()));
		//});
		return ryJzrkList;
	}

	@Override
	public boolean updateRy(SyjzryVO syjzryVO) {
		return baseMapper.updateRy(syjzryVO);
	}

	@Override
	public void jzrkZx(RyJzrkEntity jzrkEntity) {
		baseMapper.jzrkZx(jzrkEntity);
	}

	@DS("jl")
	@Override
	public void saveToJl(RyJzrkEntity jzrkEntity) {
		ryJzrkJlService.save(jzrkEntity);
	}

	@DS("jl")
	@Override
	public void updateByIdToJl(RyJzrkEntity jzrkEntity) {
		ryJzrkJlService.updateById(jzrkEntity);
	}

	@DS("jl")
	@Override
	public void jzrkZxToJl(RyJzrkEntity jzrkEntity) {
		baseMapper.jzrkZx(jzrkEntity);
	}
}
